library flutter_jap_icons;

import 'package:flutter/widgets.dart';

/// IconData for MedicalIcons
class MedicalData extends IconData {
  const MedicalData(int code, {String? fontFamily, String? fontPackage})
      : super(code, fontFamily: fontFamily, fontPackage: fontPackage);
}

/// Class to generate MedicalIcons
class MedicalIcons {
  MedicalIcons._();

  static const String? _kFontFam = 'MedicalIcons';
  static const String? _kFontPkg = 'flutter_jap_icons';

  /// Icon for oncology
  static const IconData oncology =
      MedicalData(0xe800, fontFamily: _kFontFam, fontPackage: _kFontPkg);

  /// Icon for ophthalmology
  static const IconData ophthalmology =
      MedicalData(0xe801, fontFamily: _kFontFam, fontPackage: _kFontPkg);

  /// Icon for outpatient
  static const IconData outpatient =
      MedicalData(0xe802, fontFamily: _kFontFam, fontPackage: _kFontPkg);

  /// Icon for pathology
  static const IconData pathology =
      MedicalData(0xe803, fontFamily: _kFontFam, fontPackage: _kFontPkg);

  /// Icon for pediatrics
  static const IconData pediatrics =
      MedicalData(0xe804, fontFamily: _kFontFam, fontPackage: _kFontPkg);

  /// Icon for pharmacy
  static const IconData pharmacy =
      MedicalData(0xe805, fontFamily: _kFontFam, fontPackage: _kFontPkg);

  /// Icon for physical-therapy
  static const IconData physical_therapy =
      MedicalData(0xe806, fontFamily: _kFontFam, fontPackage: _kFontPkg);

  /// Icon for radiology
  static const IconData radiology =
      MedicalData(0xe807, fontFamily: _kFontFam, fontPackage: _kFontPkg);

  /// Icon for registration
  static const IconData registration =
      MedicalData(0xe808, fontFamily: _kFontFam, fontPackage: _kFontPkg);

  /// Icon for respiratory
  static const IconData respiratory =
      MedicalData(0xe809, fontFamily: _kFontFam, fontPackage: _kFontPkg);

  /// Icon for restaurant
  static const IconData restaurant =
      MedicalData(0xe80a, fontFamily: _kFontFam, fontPackage: _kFontPkg);

  /// Icon for restrooms
  static const IconData restrooms =
      MedicalData(0xe80b, fontFamily: _kFontFam, fontPackage: _kFontPkg);

  /// Icon for smoking
  static const IconData smoking =
      MedicalData(0xe80c, fontFamily: _kFontFam, fontPackage: _kFontPkg);

  /// Icon for social-services
  static const IconData social_services =
      MedicalData(0xe80d, fontFamily: _kFontFam, fontPackage: _kFontPkg);

  /// Icon for stairs
  static const IconData stairs =
      MedicalData(0xe80e, fontFamily: _kFontFam, fontPackage: _kFontPkg);

  /// Icon for surgery
  static const IconData surgery =
      MedicalData(0xe80f, fontFamily: _kFontFam, fontPackage: _kFontPkg);

  /// Icon for text-telephone
  static const IconData text_telephone =
      MedicalData(0xe810, fontFamily: _kFontFam, fontPackage: _kFontPkg);

  /// Icon for ultrasound
  static const IconData ultrasound =
      MedicalData(0xe811, fontFamily: _kFontFam, fontPackage: _kFontPkg);

  /// Icon for volume-control
  static const IconData volume_control =
      MedicalData(0xe812, fontFamily: _kFontFam, fontPackage: _kFontPkg);

  /// Icon for waiting-area
  static const IconData waiting_area =
      MedicalData(0xe813, fontFamily: _kFontFam, fontPackage: _kFontPkg);

  /// Icon for womens-health
  static const IconData womens_health =
      MedicalData(0xe814, fontFamily: _kFontFam, fontPackage: _kFontPkg);

  /// Icon for accessibility
  static const IconData accessibility =
      MedicalData(0xe815, fontFamily: _kFontFam, fontPackage: _kFontPkg);

  /// Icon for administration
  static const IconData administration =
      MedicalData(0xe816, fontFamily: _kFontFam, fontPackage: _kFontPkg);

  /// Icon for alternative-complementary
  static const IconData alternative_complementary =
      MedicalData(0xe817, fontFamily: _kFontFam, fontPackage: _kFontPkg);

  /// Icon for ambulance
  static const IconData ambulance =
      MedicalData(0xe818, fontFamily: _kFontFam, fontPackage: _kFontPkg);

  /// Icon for anesthesia
  static const IconData anesthesia =
      MedicalData(0xe819, fontFamily: _kFontFam, fontPackage: _kFontPkg);

  /// Icon for billing
  static const IconData billing =
      MedicalData(0xe81a, fontFamily: _kFontFam, fontPackage: _kFontPkg);

  /// Icon for cardiology
  static const IconData cardiology =
      MedicalData(0xe81b, fontFamily: _kFontFam, fontPackage: _kFontPkg);

  /// Icon for care-staff-area
  static const IconData care_staff_area =
      MedicalData(0xe81c, fontFamily: _kFontFam, fontPackage: _kFontPkg);

  /// Icon for cath-lab
  static const IconData cath_lab =
      MedicalData(0xe81d, fontFamily: _kFontFam, fontPackage: _kFontPkg);

  /// Icon for chapel
  static const IconData chapel =
      MedicalData(0xe81e, fontFamily: _kFontFam, fontPackage: _kFontPkg);

  /// Icon for coffee-shop
  static const IconData coffee_shop =
      MedicalData(0xe81f, fontFamily: _kFontFam, fontPackage: _kFontPkg);

  /// Icon for dental
  static const IconData dental =
      MedicalData(0xe820, fontFamily: _kFontFam, fontPackage: _kFontPkg);

  /// Icon for dermatology
  static const IconData dermatology =
      MedicalData(0xe821, fontFamily: _kFontFam, fontPackage: _kFontPkg);

  /// Icon for diabetes-education
  static const IconData diabetes_education =
      MedicalData(0xe822, fontFamily: _kFontFam, fontPackage: _kFontPkg);

  /// Icon for drinking-fountain
  static const IconData drinking_fountain =
      MedicalData(0xe823, fontFamily: _kFontFam, fontPackage: _kFontPkg);

  /// Icon for ear-nose-throat
  static const IconData ear_nose_throat =
      MedicalData(0xe824, fontFamily: _kFontFam, fontPackage: _kFontPkg);

  /// Icon for elevators
  static const IconData elevators =
      MedicalData(0xe825, fontFamily: _kFontFam, fontPackage: _kFontPkg);

  /// Icon for emergency
  static const IconData emergency =
      MedicalData(0xe826, fontFamily: _kFontFam, fontPackage: _kFontPkg);

  /// Icon for family-practice
  static const IconData family_practice =
      MedicalData(0xe827, fontFamily: _kFontFam, fontPackage: _kFontPkg);

  /// Icon for fire-extinguisher
  static const IconData fire_extinguisher =
      MedicalData(0xe828, fontFamily: _kFontFam, fontPackage: _kFontPkg);

  /// Icon for first-aid
  static const IconData first_aid =
      MedicalData(0xe829, fontFamily: _kFontFam, fontPackage: _kFontPkg);

  /// Icon for genetics
  static const IconData genetics =
      MedicalData(0xe82a, fontFamily: _kFontFam, fontPackage: _kFontPkg);

  /// Icon for gift-shop
  static const IconData gift_shop =
      MedicalData(0xe82b, fontFamily: _kFontFam, fontPackage: _kFontPkg);

  /// Icon for health-education
  static const IconData health_education =
      MedicalData(0xe82c, fontFamily: _kFontFam, fontPackage: _kFontPkg);

  /// Icon for health-services
  static const IconData health_services =
      MedicalData(0xe82d, fontFamily: _kFontFam, fontPackage: _kFontPkg);

  /// Icon for hearing-assistance
  static const IconData hearing_assistance =
      MedicalData(0xe82e, fontFamily: _kFontFam, fontPackage: _kFontPkg);

  /// Icon for hospital
  static const IconData hospital =
      MedicalData(0xe82f, fontFamily: _kFontFam, fontPackage: _kFontPkg);

  /// Icon for i-accessibility
  static const IconData i_accessibility =
      MedicalData(0xe830, fontFamily: _kFontFam, fontPackage: _kFontPkg);

  /// Icon for i-administration
  static const IconData i_administration =
      MedicalData(0xe831, fontFamily: _kFontFam, fontPackage: _kFontPkg);

  /// Icon for i-alternative-complementary
  static const IconData i_alternative_complementary =
      MedicalData(0xe832, fontFamily: _kFontFam, fontPackage: _kFontPkg);

  /// Icon for i-ambulance
  static const IconData i_ambulance =
      MedicalData(0xe833, fontFamily: _kFontFam, fontPackage: _kFontPkg);

  /// Icon for i-anesthesia
  static const IconData i_anesthesia =
      MedicalData(0xe834, fontFamily: _kFontFam, fontPackage: _kFontPkg);

  /// Icon for i-billing
  static const IconData i_billing =
      MedicalData(0xe835, fontFamily: _kFontFam, fontPackage: _kFontPkg);

  /// Icon for i-cardiology
  static const IconData i_cardiology =
      MedicalData(0xe836, fontFamily: _kFontFam, fontPackage: _kFontPkg);

  /// Icon for i-care-staff-area
  static const IconData i_care_staff_area =
      MedicalData(0xe837, fontFamily: _kFontFam, fontPackage: _kFontPkg);

  /// Icon for i-cath-lab
  static const IconData i_cath_lab =
      MedicalData(0xe838, fontFamily: _kFontFam, fontPackage: _kFontPkg);

  /// Icon for i-chapel
  static const IconData i_chapel =
      MedicalData(0xe839, fontFamily: _kFontFam, fontPackage: _kFontPkg);

  /// Icon for i-coffee-shop
  static const IconData i_coffee_shop =
      MedicalData(0xe83a, fontFamily: _kFontFam, fontPackage: _kFontPkg);

  /// Icon for i-dental
  static const IconData i_dental =
      MedicalData(0xe83b, fontFamily: _kFontFam, fontPackage: _kFontPkg);

  /// Icon for i-dermatology
  static const IconData i_dermatology =
      MedicalData(0xe83c, fontFamily: _kFontFam, fontPackage: _kFontPkg);

  /// Icon for i-diabetes-education
  static const IconData i_diabetes_education =
      MedicalData(0xe83d, fontFamily: _kFontFam, fontPackage: _kFontPkg);

  /// Icon for i-drinking-fountain
  static const IconData i_drinking_fountain =
      MedicalData(0xe83e, fontFamily: _kFontFam, fontPackage: _kFontPkg);

  /// Icon for i-ear-nose-throat
  static const IconData i_ear_nose_throat =
      MedicalData(0xe83f, fontFamily: _kFontFam, fontPackage: _kFontPkg);

  /// Icon for i-elevators
  static const IconData i_elevators =
      MedicalData(0xe840, fontFamily: _kFontFam, fontPackage: _kFontPkg);

  /// Icon for i-emergency
  static const IconData i_emergency =
      MedicalData(0xe841, fontFamily: _kFontFam, fontPackage: _kFontPkg);

  /// Icon for i-family-practice
  static const IconData i_family_practice =
      MedicalData(0xe842, fontFamily: _kFontFam, fontPackage: _kFontPkg);

  /// Icon for i-fire-extinguisher
  static const IconData i_fire_extinguisher =
      MedicalData(0xe843, fontFamily: _kFontFam, fontPackage: _kFontPkg);

  /// Icon for i-first-aid
  static const IconData i_first_aid =
      MedicalData(0xe844, fontFamily: _kFontFam, fontPackage: _kFontPkg);

  /// Icon for i-genetics
  static const IconData i_genetics =
      MedicalData(0xe845, fontFamily: _kFontFam, fontPackage: _kFontPkg);

  /// Icon for i-gift-shop
  static const IconData i_gift_shop =
      MedicalData(0xe846, fontFamily: _kFontFam, fontPackage: _kFontPkg);

  /// Icon for i-health-education
  static const IconData i_health_education =
      MedicalData(0xe847, fontFamily: _kFontFam, fontPackage: _kFontPkg);

  /// Icon for i-health-services
  static const IconData i_health_services =
      MedicalData(0xe848, fontFamily: _kFontFam, fontPackage: _kFontPkg);

  /// Icon for i-hearing-assistance
  static const IconData i_hearing_assistance =
      MedicalData(0xe849, fontFamily: _kFontFam, fontPackage: _kFontPkg);

  /// Icon for i-hospital
  static const IconData i_hospital =
      MedicalData(0xe84a, fontFamily: _kFontFam, fontPackage: _kFontPkg);

  /// Icon for i-imaging-alternative-ct
  static const IconData i_imaging_alternative_ct =
      MedicalData(0xe84b, fontFamily: _kFontFam, fontPackage: _kFontPkg);

  /// Icon for i-imaging-alternative-mri
  static const IconData i_imaging_alternative_mri =
      MedicalData(0xe84c, fontFamily: _kFontFam, fontPackage: _kFontPkg);

  /// Icon for i-imaging-alternative-mri-two
  static const IconData i_imaging_alternative_mri_two =
      MedicalData(0xe84d, fontFamily: _kFontFam, fontPackage: _kFontPkg);

  /// Icon for i-imaging-alternative-pet
  static const IconData i_imaging_alternative_pet =
      MedicalData(0xe84e, fontFamily: _kFontFam, fontPackage: _kFontPkg);

  /// Icon for i-imaging-root-category
  static const IconData i_imaging_root_category =
      MedicalData(0xe84f, fontFamily: _kFontFam, fontPackage: _kFontPkg);

  /// Icon for i-immunizations
  static const IconData i_immunizations =
      MedicalData(0xe850, fontFamily: _kFontFam, fontPackage: _kFontPkg);

  /// Icon for i-infectious-diseases
  static const IconData i_infectious_diseases =
      MedicalData(0xe851, fontFamily: _kFontFam, fontPackage: _kFontPkg);

  /// Icon for i-information-us
  static const IconData i_information_us =
      MedicalData(0xe852, fontFamily: _kFontFam, fontPackage: _kFontPkg);

  /// Icon for i-inpatient
  static const IconData i_inpatient =
      MedicalData(0xe853, fontFamily: _kFontFam, fontPackage: _kFontPkg);

  /// Icon for i-intensive-care
  static const IconData i_intensive_care =
      MedicalData(0xe854, fontFamily: _kFontFam, fontPackage: _kFontPkg);

  /// Icon for i-internal-medicine
  static const IconData i_internal_medicine =
      MedicalData(0xe855, fontFamily: _kFontFam, fontPackage: _kFontPkg);

  /// Icon for i-interpreter-services
  static const IconData i_interpreter_services =
      MedicalData(0xe856, fontFamily: _kFontFam, fontPackage: _kFontPkg);

  /// Icon for i-kidney
  static const IconData i_kidney =
      MedicalData(0xe857, fontFamily: _kFontFam, fontPackage: _kFontPkg);

  /// Icon for i-laboratory
  static const IconData i_laboratory =
      MedicalData(0xe858, fontFamily: _kFontFam, fontPackage: _kFontPkg);

  /// Icon for i-labor-delivery
  static const IconData i_labor_delivery =
      MedicalData(0xe859, fontFamily: _kFontFam, fontPackage: _kFontPkg);

  /// Icon for imaging-alternative-ct
  static const IconData imaging_alternative_ct =
      MedicalData(0xe85a, fontFamily: _kFontFam, fontPackage: _kFontPkg);

  /// Icon for imaging-alternative-mri
  static const IconData imaging_alternative_mri =
      MedicalData(0xe85b, fontFamily: _kFontFam, fontPackage: _kFontPkg);

  /// Icon for imaging-alternative-mri-two
  static const IconData imaging_alternative_mri_two =
      MedicalData(0xe85c, fontFamily: _kFontFam, fontPackage: _kFontPkg);

  /// Icon for imaging-alternative-pet
  static const IconData imaging_alternative_pet =
      MedicalData(0xe85d, fontFamily: _kFontFam, fontPackage: _kFontPkg);

  /// Icon for imaging-root-category
  static const IconData imaging_root_category =
      MedicalData(0xe85e, fontFamily: _kFontFam, fontPackage: _kFontPkg);

  /// Icon for i-mammography
  static const IconData i_mammography =
      MedicalData(0xe85f, fontFamily: _kFontFam, fontPackage: _kFontPkg);

  /// Icon for i-medical-library
  static const IconData i_medical_library =
      MedicalData(0xe860, fontFamily: _kFontFam, fontPackage: _kFontPkg);

  /// Icon for i-medical-records
  static const IconData i_medical_records =
      MedicalData(0xe861, fontFamily: _kFontFam, fontPackage: _kFontPkg);

  /// Icon for i-mental-health
  static const IconData i_mental_health =
      MedicalData(0xe862, fontFamily: _kFontFam, fontPackage: _kFontPkg);

  /// Icon for immunizations
  static const IconData immunizations =
      MedicalData(0xe863, fontFamily: _kFontFam, fontPackage: _kFontPkg);

  /// Icon for i-mri-pet
  static const IconData i_mri_pet =
      MedicalData(0xe864, fontFamily: _kFontFam, fontPackage: _kFontPkg);

  /// Icon for i-neurology
  static const IconData i_neurology =
      MedicalData(0xe865, fontFamily: _kFontFam, fontPackage: _kFontPkg);

  /// Icon for infectious-diseases
  static const IconData infectious_diseases =
      MedicalData(0xe866, fontFamily: _kFontFam, fontPackage: _kFontPkg);

  /// Icon for information-us
  static const IconData information_us =
      MedicalData(0xe867, fontFamily: _kFontFam, fontPackage: _kFontPkg);

  /// Icon for i-no-smoking
  static const IconData i_no_smoking =
      MedicalData(0xe868, fontFamily: _kFontFam, fontPackage: _kFontPkg);

  /// Icon for inpatient
  static const IconData inpatient =
      MedicalData(0xe869, fontFamily: _kFontFam, fontPackage: _kFontPkg);

  /// Icon for intensive-care
  static const IconData intensive_care =
      MedicalData(0xe86a, fontFamily: _kFontFam, fontPackage: _kFontPkg);

  /// Icon for internal-medicine
  static const IconData internal_medicine =
      MedicalData(0xe86b, fontFamily: _kFontFam, fontPackage: _kFontPkg);

  /// Icon for interpreter-services
  static const IconData interpreter_services =
      MedicalData(0xe86c, fontFamily: _kFontFam, fontPackage: _kFontPkg);

  /// Icon for i-nursery
  static const IconData i_nursery =
      MedicalData(0xe86d, fontFamily: _kFontFam, fontPackage: _kFontPkg);

  /// Icon for i-nutrition
  static const IconData i_nutrition =
      MedicalData(0xe86e, fontFamily: _kFontFam, fontPackage: _kFontPkg);

  /// Icon for i-oncology
  static const IconData i_oncology =
      MedicalData(0xe86f, fontFamily: _kFontFam, fontPackage: _kFontPkg);

  /// Icon for i-ophthalmology
  static const IconData i_ophthalmology =
      MedicalData(0xe870, fontFamily: _kFontFam, fontPackage: _kFontPkg);

  /// Icon for i-outpatient
  static const IconData i_outpatient =
      MedicalData(0xe871, fontFamily: _kFontFam, fontPackage: _kFontPkg);

  /// Icon for i-pathology
  static const IconData i_pathology =
      MedicalData(0xe872, fontFamily: _kFontFam, fontPackage: _kFontPkg);

  /// Icon for i-pediatrics
  static const IconData i_pediatrics =
      MedicalData(0xe873, fontFamily: _kFontFam, fontPackage: _kFontPkg);

  /// Icon for i-pharmacy
  static const IconData i_pharmacy =
      MedicalData(0xe874, fontFamily: _kFontFam, fontPackage: _kFontPkg);

  /// Icon for i-physical-therapy
  static const IconData i_physical_therapy =
      MedicalData(0xe875, fontFamily: _kFontFam, fontPackage: _kFontPkg);

  /// Icon for i-radiology
  static const IconData i_radiology =
      MedicalData(0xe876, fontFamily: _kFontFam, fontPackage: _kFontPkg);

  /// Icon for i-registration
  static const IconData i_registration =
      MedicalData(0xe877, fontFamily: _kFontFam, fontPackage: _kFontPkg);

  /// Icon for i-respiratory
  static const IconData i_respiratory =
      MedicalData(0xe878, fontFamily: _kFontFam, fontPackage: _kFontPkg);

  /// Icon for i-restaurant
  static const IconData i_restaurant =
      MedicalData(0xe879, fontFamily: _kFontFam, fontPackage: _kFontPkg);

  /// Icon for i-restrooms
  static const IconData i_restrooms =
      MedicalData(0xe87a, fontFamily: _kFontFam, fontPackage: _kFontPkg);

  /// Icon for i-smoking
  static const IconData i_smoking =
      MedicalData(0xe87b, fontFamily: _kFontFam, fontPackage: _kFontPkg);

  /// Icon for i-social-services
  static const IconData i_social_services =
      MedicalData(0xe87c, fontFamily: _kFontFam, fontPackage: _kFontPkg);

  /// Icon for i-stairs
  static const IconData i_stairs =
      MedicalData(0xe87d, fontFamily: _kFontFam, fontPackage: _kFontPkg);

  /// Icon for i-surgery
  static const IconData i_surgery =
      MedicalData(0xe87e, fontFamily: _kFontFam, fontPackage: _kFontPkg);

  /// Icon for i-text-telephone
  static const IconData i_text_telephone =
      MedicalData(0xe87f, fontFamily: _kFontFam, fontPackage: _kFontPkg);

  /// Icon for i-ultrasound
  static const IconData i_ultrasound =
      MedicalData(0xe880, fontFamily: _kFontFam, fontPackage: _kFontPkg);

  /// Icon for i-volume-control
  static const IconData i_volume_control =
      MedicalData(0xe881, fontFamily: _kFontFam, fontPackage: _kFontPkg);

  /// Icon for i-waiting-area
  static const IconData i_waiting_area =
      MedicalData(0xe882, fontFamily: _kFontFam, fontPackage: _kFontPkg);

  /// Icon for i-womens-health
  static const IconData i_womens_health =
      MedicalData(0xe883, fontFamily: _kFontFam, fontPackage: _kFontPkg);

  /// Icon for kidney
  static const IconData kidney =
      MedicalData(0xe884, fontFamily: _kFontFam, fontPackage: _kFontPkg);

  /// Icon for laboratory
  static const IconData laboratory =
      MedicalData(0xe885, fontFamily: _kFontFam, fontPackage: _kFontPkg);

  /// Icon for labor-delivery
  static const IconData labor_delivery =
      MedicalData(0xe886, fontFamily: _kFontFam, fontPackage: _kFontPkg);

  /// Icon for mammography
  static const IconData mammography =
      MedicalData(0xe887, fontFamily: _kFontFam, fontPackage: _kFontPkg);

  /// Icon for medical-library
  static const IconData medical_library =
      MedicalData(0xe888, fontFamily: _kFontFam, fontPackage: _kFontPkg);

  /// Icon for medical-records
  static const IconData medical_records =
      MedicalData(0xe889, fontFamily: _kFontFam, fontPackage: _kFontPkg);

  /// Icon for mental-health
  static const IconData mental_health =
      MedicalData(0xe88a, fontFamily: _kFontFam, fontPackage: _kFontPkg);

  /// Icon for mri-pet
  static const IconData mri_pet =
      MedicalData(0xe88b, fontFamily: _kFontFam, fontPackage: _kFontPkg);

  /// Icon for neurology
  static const IconData neurology =
      MedicalData(0xe88c, fontFamily: _kFontFam, fontPackage: _kFontPkg);

  /// Icon for no-smoking
  static const IconData no_smoking =
      MedicalData(0xe88d, fontFamily: _kFontFam, fontPackage: _kFontPkg);

  /// Icon for nursery
  static const IconData nursery =
      MedicalData(0xe88e, fontFamily: _kFontFam, fontPackage: _kFontPkg);

  /// Icon for nutrition
  static const IconData nutrition =
      MedicalData(0xe88f, fontFamily: _kFontFam, fontPackage: _kFontPkg);
}
